@echo off


rem ********************************************************************************
rem *
rem * Modify-ADS-Disposal.BAT
rem *
rem * This file calls the Microsoft ADS floppy disk creation program to send the virtual
rem * floppy disk image for disposal to the floppy drive so that it can be modified.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Call the msiadspt.bat file to set the ADS_PATH variable is set.
rem ********************************************************************************
call msiadspt.bat

rem ********************************************************************************
rem * Write the Virtual Disk Image To The Floppy Disk.
rem ********************************************************************************

call "%ADS_PATH%\bin\dskimage.exe" "%ADS_PATH%\tftproot\tk_scrub.vfd" A:

if not ERRORLEVEL 0 goto ERROR1

rem ********************************************************************************
rem * Open the usrvars.bat file for editing.
rem ********************************************************************************

call notepad.exe A:\usrvars.bat

rem ********************************************************************************
rem * Write the floppy disk back to the virtual floppy disk.
rem ********************************************************************************

call "%ADS_PATH%\bin\dskimage.exe" A: "%ADS_PATH%\tftproot\tk_scrub.vfd"

if not ERRORLEVEL 0 goto ERROR2
goto SUCCESS

:ERROR1
echo.
echo An error occurred when writing the virtual disk image to
echo the floppy disk. Make sure that the disk is in the drive
echo and it is not write protected. Also check that the path
echo to the virtual floppy disk is correct:
echo .
echo %ADS_PATH\tftproot\

goto END


:ERROR2
echo.
echo An error occurred when writing the virtual disk image to
echo the ADS server. Make sure that the disk is in the drive
echo and that you have permissions to write to the location
echo of the ADS virtual floppy disks:
echo .
echo %ADS_PATH%\tftproot\

goto END


:SUCCESS
echo Virtual Disk Modifications Complete.


:END
pause
